<cfquery name="getart" maxrows="10">
select	artid, artname, description, price
from	art
</cfquery>

<html>
<head>
<script src="jquery-ui-1.8.7.custom/js/jquery-1.4.4.min.js"></script>
<script src="jquery-ui-1.8.7.custom/js/jquery-ui-1.8.7.custom.min.js"></script>
<link rel="stylesheet" href="jquery-ui-1.8.7.custom/css/overcast/jquery-ui-1.8.7.custom.css" />
<script>
$(document).ready(function() {

	$(".artdiv").click(function() {
		//based on which we click, get the current values
		//first, the name
		var name = $("h2", this).text();
		var price = $("p:first", this).data("price");
		var desc = $("p:last", this).text();
		desc = $.trim(desc);
		
		$("#namefield").val(name);
		$("#pricefield").val(price);
		$("#descriptionfield").val(desc);
		
		$("#editForm").dialog({
			buttons: {
				"Save": function(){
					console.log('save clicked');
				}
			}
		});
	});
	
});
</script>
<style>
.artdiv {
	padding: 5px;
	margin: 5px;
	background-color: #80ff80;
}
#editForm {
	display:none;	
}
</style>
</head>

<body>

<cfoutput query="getart">
	
	<div class="artdiv">
		<h2>#artname#</h2>
		<p data-price="#price#">
		Price: #dollarFormat(price)#
		</p>
		<p class="description">
		#description#
		</p>
	</div>
	
</cfoutput>

<div id="editForm" title="Edit Art">
	<p>
	<b>Name:</b><br/>
	<input type="text" id="namefield">
	</p>
	<p>
	<b>Price:</b><br/>
	<input type="text" id="pricefield">
	</p>
	<p>
	<b>Description:</b><br/>
	<textarea id="descriptionfield"></textarea>
	</p>
	
</div>

</body>
</html>